Name: otf
License: BSD
Group: Development/Tools
Summary: Tools and library for support the Open Trace Format (OTF)
Version: 1.2.18
Release: alt0.M50.1
Url: http://www.paratools.com/otf/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: http://www.paratools.com/otf/llnl/OTF-SRC-1.2.18.tar.gz

BuildRequires(pre): rpm-build-compat
BuildPreReq: gcc4.3-c++

%description
The Open Trace Format (OTF) is a new trace definition and representation for use
with large-scale parallel platforms. OTF addresses three objectives: openness,
flexibility, and performance.

%package doc
Summary: Documentation for OTF tools
Group: Documentation
BuildArch: noarch

%description doc
The Open Trace Format (OTF) is a new trace definition and representation for use
with large-scale parallel platforms. OTF addresses three objectives: openness,
flexibility, and performance.

This package contains documentation for OTF tools.

%package -n lib%name-devel
Summary: Static development files for Open Trace Format (OTF)
Group: Development/C++

%description -n lib%name-devel
The Open Trace Format (OTF) is a new trace definition and representation for use
with large-scale parallel platforms. OTF addresses three objectives: openness,
flexibility, and performance.

This package contains static development files for OTF.

%package -n lib%name-devel-doc
Summary: Development documentation for Open Trace Format (OTF) library
Group: Development/Documentation
BuildArch: noarch

%description -n lib%name-devel-doc
The Open Trace Format (OTF) is a new trace definition and representation for use
with large-scale parallel platforms. OTF addresses three objectives: openness,
flexibility, and performance.

This package contains development documentation for OTF library.

%prep
%setup

%build
%autoreconf
%configure
%make_build

%install
%make_install_std

install -m755 tools/otfdump/otfdump %buildroot%_bindir

pushd tools/otfcompress
%make_build
install -m755 otfcompress %buildroot%_bindir
popd

install -d %buildroot%_docdir/%name
install -d %buildroot%_docdir/%name-api
install -p -m644 docu/tools/otftools.pdf %buildroot%_docdir/%name
install -p -m644 docu/api/specification.pdf %buildroot%_docdir/%name-api

%files
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%_bindir/*

%files doc
%_docdir/%name

%files -n lib%name-devel
%_includedir/*
%_libdir/*

%files -n lib%name-devel-doc
%_docdir/%name-api

%changelog
* Tue May 12 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.2.18-alt0.M50.1
- Port for Branch 5.0

* Tue May 12 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.2.18-alt1
- Initial build for Sisyphus

